Describe a user's household
curl --request PATCH \
--url https://api.connect.nox.energy/v1/households \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"location": {
"country": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street": "<string>",
"number": "<string>",
"coordinates": {
"latitude": 0,
"longitude": 0
}
},
"owner": {
"first_name": "<string>",
"last_name": "<string>"
}
}
'import requests
url = "https://api.connect.nox.energy/v1/households"
payload = {
"location": {
"country": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street": "<string>",
"number": "<string>",
"coordinates": {
"latitude": 0,
"longitude": 0
}
},
"owner": {
"first_name": "<string>",
"last_name": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
location: {
country: '<string>',
city: '<string>',
postal_code: '<string>',
street: '<string>',
number: '<string>',
coordinates: {latitude: 0, longitude: 0}
},
owner: {first_name: '<string>', last_name: '<string>'}
})
};
fetch('https://api.connect.nox.energy/v1/households', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connect.nox.energy/v1/households",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'location' => [
'country' => '<string>',
'city' => '<string>',
'postal_code' => '<string>',
'street' => '<string>',
'number' => '<string>',
'coordinates' => [
'latitude' => 0,
'longitude' => 0
]
],
'owner' => [
'first_name' => '<string>',
'last_name' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connect.nox.energy/v1/households"
payload := strings.NewReader("{\n \"location\": {\n \"country\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"street\": \"<string>\",\n \"number\": \"<string>\",\n \"coordinates\": {\n \"latitude\": 0,\n \"longitude\": 0\n }\n },\n \"owner\": {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.connect.nox.energy/v1/households")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"location\": {\n \"country\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"street\": \"<string>\",\n \"number\": \"<string>\",\n \"coordinates\": {\n \"latitude\": 0,\n \"longitude\": 0\n }\n },\n \"owner\": {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connect.nox.energy/v1/households")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"location\": {\n \"country\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"street\": \"<string>\",\n \"number\": \"<string>\",\n \"coordinates\": {\n \"latitude\": 0,\n \"longitude\": 0\n }\n },\n \"owner\": {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"location": {
"country": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street": "<string>",
"number": "<string>",
"coordinates": {
"latitude": 0,
"longitude": 0
}
},
"owner": {
"first_name": "<string>",
"last_name": "<string>"
}
}{
"error": "<string>",
"code": "no_devices"
}{
"error": "<string>",
"code": "no_devices"
}{
"error": "<string>",
"code": "no_devices"
}{
"error": "<string>",
"code": "no_devices"
}Households
Describe a user's household
Fills in the address and owner of the dwelling. Only the fields you send change; a field sent as null is cleared.
country accepts a country code (BE) or name in any language (Belgium, België). An unknown country returns a 400.
A household is shared between consumers: what one consumer sets, others see too. The latest update wins.
PATCH
/
households
Describe a user's household
curl --request PATCH \
--url https://api.connect.nox.energy/v1/households \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"location": {
"country": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street": "<string>",
"number": "<string>",
"coordinates": {
"latitude": 0,
"longitude": 0
}
},
"owner": {
"first_name": "<string>",
"last_name": "<string>"
}
}
'import requests
url = "https://api.connect.nox.energy/v1/households"
payload = {
"location": {
"country": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street": "<string>",
"number": "<string>",
"coordinates": {
"latitude": 0,
"longitude": 0
}
},
"owner": {
"first_name": "<string>",
"last_name": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
location: {
country: '<string>',
city: '<string>',
postal_code: '<string>',
street: '<string>',
number: '<string>',
coordinates: {latitude: 0, longitude: 0}
},
owner: {first_name: '<string>', last_name: '<string>'}
})
};
fetch('https://api.connect.nox.energy/v1/households', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connect.nox.energy/v1/households",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'location' => [
'country' => '<string>',
'city' => '<string>',
'postal_code' => '<string>',
'street' => '<string>',
'number' => '<string>',
'coordinates' => [
'latitude' => 0,
'longitude' => 0
]
],
'owner' => [
'first_name' => '<string>',
'last_name' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connect.nox.energy/v1/households"
payload := strings.NewReader("{\n \"location\": {\n \"country\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"street\": \"<string>\",\n \"number\": \"<string>\",\n \"coordinates\": {\n \"latitude\": 0,\n \"longitude\": 0\n }\n },\n \"owner\": {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.connect.nox.energy/v1/households")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"location\": {\n \"country\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"street\": \"<string>\",\n \"number\": \"<string>\",\n \"coordinates\": {\n \"latitude\": 0,\n \"longitude\": 0\n }\n },\n \"owner\": {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connect.nox.energy/v1/households")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"location\": {\n \"country\": \"<string>\",\n \"city\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"street\": \"<string>\",\n \"number\": \"<string>\",\n \"coordinates\": {\n \"latitude\": 0,\n \"longitude\": 0\n }\n },\n \"owner\": {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"location": {
"country": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street": "<string>",
"number": "<string>",
"coordinates": {
"latitude": 0,
"longitude": 0
}
},
"owner": {
"first_name": "<string>",
"last_name": "<string>"
}
}{
"error": "<string>",
"code": "no_devices"
}{
"error": "<string>",
"code": "no_devices"
}{
"error": "<string>",
"code": "no_devices"
}{
"error": "<string>",
"code": "no_devices"
}Authorizations
Your consumer API key.
Query Parameters
Your internal user ID.
Body
application/json